Subject: bug#848 closed by Chong Yidong <[email-masked]> (Re: doc for recenter, redisplay)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#848: doc for recenter, redisplay

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
848: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=848
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Mon Sep  1 10:52:39 2008
To: "Drew Adams" <[email-masked]>
Cc: [email-masked]
Subject: Re: doc for recenter, redisplay
From: Chong Yidong <[email-masked]>
Date: Mon, 01 Sep 2008 13:54:52 -0400

> I notice that `recenter' has the effect of calling (redisplay t); that
> is, it seems to force a redisplay. I don't see this mentioned
> anywhere. It might be helpful to mention it. We might want to mention
> it in the Elisp manual node Textual Scrolling, where `recenter' is
> covered, and also in node Forcing Redisplay, where redisplay is
> covered (with an xref to Textual Scrolling).

In the docstring:
  
  If arg is omitted or nil, erase the entire frame and then redraw with
  point in the center of the current window.

In the Emacs manual:

  It also clears the screen and redisplays all windows; this is useful
  in case the screen becomes garbled for any reason (*note Screen
  Garbled::).

In the Elisp manual:

  If @var{count} is @code{nil}, @code{recenter} puts the line containing
  point in the middle of the window, then clears and redisplays the
  entire selected frame.

However, the docstring for recenter-top-bottom (new to Emacs 23) did not
mention this; I've updated it accordingly.

>From [email-masked] Mon Sep  1 00:27:57 2008
From: "Drew Adams" <[email-masked]>
To: <[email-masked]>
Subject: doc for recenter, redisplay
Date: Mon, 1 Sep 2008 00:26:38 -0700

I notice that `recenter' has the effect of calling (redisplay t); that
is, it seems to force a redisplay. I don't see this mentioned
anywhere. It might be helpful to mention it. We might want to mention
it in the Elisp manual node Textual Scrolling, where `recenter' is
covered, and also in node Forcing Redisplay, where redisplay is
covered (with an xref to Textual Scrolling).
 
Users who want to both recenter and redisplay might want to know
that `recenter' alone suffices.
 
Users who do not want to force a redisplay might want to know that
`recenter' does that.

In GNU Emacs 22.2.1 (i386-mingw-nt5.1.2600)
 of 2008-03-26 on RELEASE
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4)'